Package org.apache.tapestry5.internal.services

## Class TemplateTrackingInfo

- java.lang.Object
- - org.apache.tapestry5.internal.services.TemplateTrackingInfo

- All Implemented Interfaces:
    `ClassNameHolder`

      public final class TemplateTrackingInfo
      extends java.lang.Object
      implements ClassNameHolder

  Class that holds information about a template for tracking.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TemplateTrackingInfo​(java.lang.String template, java.lang.String className)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getClassName()` | Returns the class name associated with a given resource tracked by `URLChangeTracker`.
    `java.lang.String` | `getTemplate()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateTrackingInfo

          public TemplateTrackingInfo​(java.lang.String template,
                                      java.lang.String className)

  - ### Method Detail

    - #### getTemplate

          public java.lang.String getTemplate()

    - #### getClassName

          public java.lang.String getClassName()

      Description copied from interface: `ClassNameHolder`
      Returns the class name associated with a given resource tracked by `URLChangeTracker`.
      Specified by:
        `getClassName` in interface `ClassNameHolder`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`